Subject: Re: bug#28603: 25.3; Certificate authority on macOS is empty

From: Ted Zlatanov <[email-masked]>
Date: Sat, 09 Dec 2017 17:57:47 -0500

On Mon, 25 Sep 2017 22:04:39 -0700 Mark Ferlatte <[email-masked]> wrote: 

MF> When running (package-refresh-contents) on macOS, MELPA returns a TLS
MF> error. This ended up being due to gnutls-trustfiles not having a working
MF> default entry for macOS. Adding /etc/ssl/cert.pem to gnutls-trustfiles
MF> resolves the issue.

MF> I believe that adding that to the default settings in lisp/net/gnutls.el
MF> would be a helpful change.

Thanks for the suggestion. This is done on the emacs-26 branch as a
bugfix and will be merged into master later.

Ted